Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Participant.TEXT_STATUS

    java.lang.Object
      java.lang.Enum<Participant.TEXT_STATUS>
          com.skype.api.Participant.TEXT_STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Participant.TEXT_STATUS>

Enclosing class:
  Participant

    public static enum Participant.TEXT_STATUS

extends java.lang.Enum<Participant.TEXT_STATUS>

Recognized values for the P_TEXT_STATUS property. The P_TEXT_STATUS property has two uses. Firstly, you can use it to implement typing indicators in your UI, to notify the local user that an incoming chat message from this Participant is imminent.
To set the P_TEXT_STATUS value, so that remote client UIs can display the local user's typing indicator in their UI, use Conversation.SetMyTextStatusTo method.
Transmission of P_TEXT_STATUS updates to remote participants of conversations is controlled via SETUPKEY_DISABLE_CHAT_ACTIVITY_INDICATION setup key.
Secondly, the TEXT_NA value enables you to detect participants who are running clients with no chat capability.

Enum Constant Summary
`READING` Participant is currently not typing.
`TEXT_NA` Text status is not applicable as the participant is using a Skype client that does not support chat (for example: voice-only USB phones).
`TEXT_UNKNOWN` Fallback state in case the text status is not (yet) deternmined.
`WRITING` Participant is currently typing.
`WRITING_AS_ANGRY` This state should be set when following two conditions are true: - interval between keypresses are less than 20 ms; - at least one of the keys adjacent to current key are pressed down.
`WRITING_AS_CAT` The "Cat on keyboard detection" algorthm in Skype is implemented in the UI level, and as such is not present in the SkypeKit API.

Method Summary
`static Participant.TEXT_STATUS` | `fromString(java.lang.String s)`
`static Participant.TEXT_STATUS` | `get(int code)`
`int` | `getId()`
`static Participant.TEXT_STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Participant.TEXT_STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT_UNKNOWN

    public static final Participant.TEXT_STATUS TEXT_UNKNOWN

  Fallback state in case the text status is not (yet) deternmined.

### TEXT_NA

    public static final Participant.TEXT_STATUS TEXT_NA

  Text status is not applicable as the participant is using a Skype client that does not support chat (for example: voice-only USB phones).

### READING

    public static final Participant.TEXT_STATUS READING

  Participant is currently not typing.

### WRITING

    public static final Participant.TEXT_STATUS WRITING

  Participant is currently typing.

### WRITING_AS_ANGRY

    public static final Participant.TEXT_STATUS WRITING_AS_ANGRY

  This state should be set when following two conditions are true:
  - interval between keypresses are less than 20 ms;
  - at least one of the keys adjacent to current key are pressed down.

### WRITING_AS_CAT

    public static final Participant.TEXT_STATUS WRITING_AS_CAT

  The "Cat on keyboard detection" algorthm in Skype is implemented in the UI level, and as such is not present in the SkypeKit API. Should you wish to implement similar algorthm in your own UI, you can get the basic logic from the PawSense FAQ - http://www.bitboost.com/pawsense/pawsense-faq.html

Method Detail

### values

    public static Participant.TEXT_STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Participant.TEXT_STATUS c : Participant.TEXT_STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Participant.TEXT_STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Participant.TEXT_STATUS get(int code)

### fromString

    public static Participant.TEXT_STATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.